Name:           enunciate-core-annotations
Version:        1.27
Release:        6%{?dist}
Summary:        Build-time enhancement tool for Java-based Web services projects

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/stoicflame/enunciate
Source0:        https://github.com/stoicflame/enunciate/archive/v%{version}.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.easymock:easymock)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(javax.annotation:jsr250-api)

%description
%{summary}

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n enunciate-%{version}
# disable rest of the modules
%pom_disable_module core-rt
%pom_disable_module core
%pom_disable_module maven-enunciate-slim-plugin
%pom_disable_module xml
%pom_disable_module jaxws-support
%pom_disable_module jaxws-ri-rt
%pom_disable_module jaxws-ri
%pom_disable_module jersey-rt
%pom_disable_module jersey
%pom_disable_module java-client
%pom_disable_module c
%pom_disable_module obj-c
%pom_disable_module csharp
%pom_disable_module ruby
%pom_disable_module php
%pom_disable_module swagger
%pom_disable_module docs
%pom_disable_module amf-rt
%pom_disable_module amf
%pom_disable_module gwt-rt
%pom_disable_module gwt
%pom_disable_module top-rt
%pom_disable_module top
%pom_disable_module spring-jaxws-rt
%pom_disable_module spring-app-rt
%pom_disable_module spring3-app-rt
%pom_disable_module spring-app
%pom_disable_module cxf-rt
%pom_disable_module cxf
%pom_disable_module jboss-rt
%pom_disable_module jboss
%pom_disable_module maven-enunciate-plugin
%pom_disable_module maven-enunciate-spring-plugin
%pom_disable_module maven-enunciate-cxf-plugin
%pom_disable_module maven-enunciate-jboss-plugin
%pom_disable_module enunciate-simple-archetype
%pom_disable_module integration-tests
# disable some plugins that are not in fedora and not relevant in fedora packaging 
%pom_remove_plugin :maven-idea-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :build-helper-maven-plugin

# we have to remove wagon-webdav-jackrabbit until jackrabbit is available
%pom_xpath_remove "pom:build/pom:extensions"

%build
%mvn_build
chmod 644 README.md license.txt notice.txt

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md license.txt notice.txt

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.27-4
- Use Requires: java-headless rebuild (#1067528)

* Mon Jan 13 2014 Patrick Huang <pahuang@redhat.com> 1.27-3
- Change permission

* Fri Jan 10 2014 Patrick Huang <pahuang@redhat.com> 1.27-2
- Change doc permision

* Wed Jan 08 2014 Patrick Huang <pahuang@redhat.com> 1.27-1
- Initial RPM package
